pinv = player.getInventory()

if(pinv.getItemInSlot(8) != null)
{
if(pinv.getItemInSlot(8).getItemID() != 465)
{
for(i=0;i<8;i++)
{
if(pinv.getItemInSlot(i) == null)
{
var pitem = pinv.getItemInSlot(8).copy();
pinv.emptySlot(8);
pinv.setSlot(i, item);
}
}
}
}
if (pinv.getSlotContainingItem(465) != -1)
{
if (pinv.getSlotContainingItem(465) != 8)
{
try
{
var count = pinv.getItemInSlot(8).getQuantity();
}
catch(e) { var count = 0; }
var item = pinv.getItemInSlot(pinv.getSlotContainingItem(465)).copy();
pinv.emptySlot(pinv.getSlotContainingItem(465));
if (count < 2)
{
if (item.getQuantity() + count <= 1)
{
item.setQuantity(item.getQuantity() + count);
}
else
{
item.setQuantity(1);
}
}
else
{
item.setQuantity(1);
}
pinv.setSlot(8, item);
}
}
